Skip to navigation

List web form instances

View as Markdown

The Web Forms API is available in all developer accounts, but only in certain production account plans. Contact Docusign Support or your account manager to find out whether the Web Forms API is available for your production account plan.

Retrieves all the instances of a given web form configuration.

Required authentication scopes: signature, webforms_instance_read.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account to which the web form belongs.
formIdstringRequiredformat: "uuid"
The ID of the form configuration.

Query parameters

client_user_idstringOptional<=100 characters
A unique identifier for a user from the client's system. This value can be anything your backend system would use to track individual form instances, such as employee IDs, email addresses, or surrogate key values.

Response

List of all Web Form Instances with associated metadata.
itemslist of objectsOptional
Array of web form instance items.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error